XnStringsNodeAllocator< TValue > Class Template Reference

`#include <XnStringsHashT.h>`

## Public Types

typedef XnKeyValuePair< const XnChar *, TValue > | TPair
typedef XnLinkedNodeT< TPair > | TLinkedNode

## Static Public Member Functions

static TLinkedNode * | Allocate (TPair const &pair)
static void | Deallocate (TLinkedNode *pNode)

## Member Typedef Documentation

## TLinkedNode

template<class TValue>

typedef XnLinkedNodeT<TPair> XnStringsNodeAllocator< TValue >::TLinkedNode

## TPair

template<class TValue>

typedef XnKeyValuePair<const XnChar*, TValue> XnStringsNodeAllocator< TValue >::TPair

## Member Function Documentation

## Allocate()

template<class TValue>

TLinkedNode * XnStringsNodeAllocator< TValue >::Allocate | ( | TPair const & | pair | ) |

inline static

## Deallocate()

template<class TValue>

void XnStringsNodeAllocator< TValue >::Deallocate | ( | TLinkedNode * | pNode | ) |

inline static

The documentation for this class was generated from the following file:

- XnStringsHashT.h